Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-09-15 09:192017-09-25 10:35
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision576e33b667aa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036863: Custom Query Organization selectors information changes depending on the selected organization

DescriptionCustom Query Organization selectors information changes depending on the selected organization. Once an organization has been selected, then just the organizations in the natural tree of the selected organization are displayed.
Steps To Reproduce1) Login as "F&B International Group Admin" role
2) Go to the [Role] window
3) Select any record and move to the "Org Access" tab
4) Start editing a new record
5) Click on the selector drop-down: notice that all the organizations readable by the role are displayed
6) Select "F&B España Región Norte"
7) Click on the selector drop-down: notice that just the organizations in the natural tree of "F&B España Región Norte" are now displayed.

The same behavior happens in the "Process Price Different Adjustment" process, which has an Organization parameter using the same reference of the Organization field in the "Org Access" tab.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036151 closedcaristu organization selector in process definition don't filter by role's org access 
related to defect 0022085 closedioritzCia Error when creating an hql query selector for organization. 

-  Notes
(0099161)
hgbot (developer)
2017-09-20 09:19

Repository: erp/devel/pi
Changeset: 576e33b667aaefa563869096ef60e3932c4b70f0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 08:57:10 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/576e33b667aaefa563869096ef60e3932c4b70f0 [^]

fixes bug 36863: wrong info in custom query org selector after selecting values

Custom query selectors filter their records by organization using the natural tree of the organization received in the ORG_PARAMETER (it contains the selected organization). This logic can not be applied on custom query selectors based on the AD_Org table because in that case the records displayed by the selector change depending on the selected organization.

To fix this issue, we handle custom query organization selectors as a special adding a filter with the organizations that are direct accessible by the role, without taking into account the selected organization.

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099162)
hgbot (developer)
2017-09-20 09:22

Repository: erp/devel/pi
Changeset: f5da0e1d9441deec7c1ba1660895e96b1fb3c5c0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 09:02:31 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f5da0e1d9441deec7c1ba1660895e96b1fb3c5c0 [^]

related to issue 36863: improve comment

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099164)
hgbot (developer)
2017-09-20 09:41

Repository: erp/devel/pi
Changeset: 4fca4e4c0da6c30ad77a5a913c793395bc7c76ae
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 09:20:20 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4fca4e4c0da6c30ad77a5a913c793395bc7c76ae [^]

related to issue 36863: add missing quotes

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099187)
hgbot (developer)
2017-09-20 18:48

Repository: erp/devel/pi
Changeset: 668cc694e1b5c0f19decb9e2c206b3a48e868d78
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 18:29:04 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/668cc694e1b5c0f19decb9e2c206b3a48e868d78 [^]

related to bug 36863: take the access level from the table of selector's tab

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099188)
hgbot (developer)
2017-09-20 18:54

Repository: erp/devel/pi
Changeset: 03947bec5a0d5e85f20792b393b2594d7c555375
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 18:34:55 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/03947bec5a0d5e85f20792b393b2594d7c555375 [^]

related to bug 36863: add missing imports

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099191)
hgbot (developer)
2017-09-20 19:42

Repository: erp/devel/pi
Changeset: 103ab686dc05da5417c358431902f9aa74f9dc4b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 20 19:18:25 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/103ab686dc05da5417c358431902f9aa74f9dc4b [^]

related to bug 36863: return the readable organizations in the current context

Be homogeneus with the OBUISEL_Selector references based on the standard datasource (which use the AdvanceQueryBuilder to create the client/org filters) and filter by the readable organizations in the case of the AD_Org table

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0099416)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099417)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099418)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099428)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099429)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099430)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099457)
alostale (developer)
2017-09-22 09:16

reviewed + tested
(0099493)
caristu (developer)
2017-09-22 14:22

Repository: erp/devel/pi
Changeset: d91644da48fa51a49d2ccb5b8cde8d19179035e3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Sep 22 14:02:09 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d91644da48fa51a49d2ccb5b8cde8d19179035e3 [^]

related to issue 36151, 36863: added test case

---
M src-test/src/org/openbravo/test/AllWebserviceTests.java
A src-test/src/org/openbravo/test/datasource/OrganizationSelectorDataSourceTest.java
(0099516)
caristu (developer)
2017-09-25 10:35

Repository: erp/devel/pi
Changeset: e638c65868bc
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Sep 25 10:13:24 2017 +0200
URL: https://code.openbravo.com/erp/devel/pi/rev/e638c65868bc [^] [^]

related to issues 36151, 36863 : code review improvements for test case

---
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src-test/src/org/openbravo/test/datasource/OrganizationSelectorDataSourceTest.java
---

- Issue History
Date Modified Username Field Change
2017-09-15 09:19 caristu New Issue
2017-09-15 09:19 caristu Assigned To => platform
2017-09-15 09:19 caristu Modules => Core
2017-09-15 09:19 caristu Triggers an Emergency Pack => No
2017-09-15 09:19 caristu Assigned To platform => caristu
2017-09-15 09:19 caristu Relationship added related to 0036151
2017-09-18 18:59 caristu Relationship added related to 0022085
2017-09-19 09:02 caristu Steps to Reproduce Updated View Revisions
2017-09-20 09:01 caristu Summary Organization selectors information changes depending on the selected organization => Custom Query Organization selectors information changes depending on the selected organization
2017-09-20 09:01 caristu Description Updated View Revisions
2017-09-20 09:19 hgbot Checkin
2017-09-20 09:19 hgbot Note Added: 0099161
2017-09-20 09:19 hgbot Status new => resolved
2017-09-20 09:19 hgbot Resolution open => fixed
2017-09-20 09:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/576e33b667aaefa563869096ef60e3932c4b70f0 [^]
2017-09-20 09:20 caristu Review Assigned To => alostale
2017-09-20 09:22 hgbot Checkin
2017-09-20 09:22 hgbot Note Added: 0099162
2017-09-20 09:41 hgbot Checkin
2017-09-20 09:41 hgbot Note Added: 0099164
2017-09-20 18:48 hgbot Checkin
2017-09-20 18:48 hgbot Note Added: 0099187
2017-09-20 18:54 hgbot Checkin
2017-09-20 18:54 hgbot Note Added: 0099188
2017-09-20 19:42 hgbot Checkin
2017-09-20 19:42 hgbot Note Added: 0099191
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099416
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099417
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099418
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099428
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099429
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099430
2017-09-22 09:16 alostale Note Added: 0099457
2017-09-22 09:16 alostale Status resolved => closed
2017-09-22 09:16 alostale Fixed in Version => 3.0PR17Q4
2017-09-22 14:22 caristu Note Added: 0099493
2017-09-25 10:35 caristu Note Added: 0099516


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker